
QGIS Application - Bug report #13712

Importing files by drag and drop from folder (Win7) not working (DB Manager)

2015-10-30 02:27 AM - Paul Kanelli

Status: Closed

Priority: Severe/Regression

Assignee: Salvatore Larosa

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21739

Description

In the DB Manager I want to import shape files in a PostGIS schema using drag and drop from a Windows 7 folder. Unfortunately nothing

happens in QGIS 2.12.

Associated revisions

Revision 1f0fce78 - 2016-06-22 12:35 PM - Jürgen Fischer

db manager: fix drag and drop import (fixes #13712)

History

#1 - 2015-11-06 11:46 AM - Giovanni Manghi

- Affected QGIS version changed from 2.12.0 to master

- Category set to DB Manager

- Priority changed from High to Severe/Regression

- Target version set to Future Release - High Priority

Confirmed, it worked until 2.8.3.

#2 - 2016-01-31 09:44 AM - Giovanni Manghi

- Operating System deleted (Windows 7)

still true on the latest master, also on Linux.

#3 - 2016-05-24 10:56 PM - Saber Razmjooei

Here is the error if it helps:

TypeError: TreeItem.itemChanged[] signal has 0 argument(s) but 1 provided 

Traceback (most recent call last):

  File "C:/OSGEO4~1/apps/qgis-dev/./python/plugins\\db_manager\\db_model.py", line 562, in dropMimeData

    item.itemChanged.emit(item)

TypeError: TreeItem.itemChanged[] signal has 0 argument(s) but 1 provided
#4 - 2016-06-07 04:11 AM - Salvatore Larosa

- Assignee set to Salvatore Larosa

#5 - 2016-06-07 02:01 PM - Salvatore Larosa

Please could anyone remove the item argument of emit() at the line 562 of the db_model.py file and report back if it has worked?

Restart QGIS just after having modified the file and retry.

#6 - 2016-06-21 02:50 PM - Giovanni Manghi

- Target version changed from Future Release - High Priority to Version 2.16

Salvatore Larosa wrote:

Please could anyone remove the item argument of emit() at the line 562 of the db_model.py file and report back if it has worked?

Restart QGIS just after having modified the file and retry.

Hi Salvatore,

the change solves the python error but also no import.

#7 - 2016-06-22 03:35 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"1f0fce7852e9f6a27af967d7ac7ee3989dce7b45".
